<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BookingFeeType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgBookingFeeType extends DgServiceFeeType
{
    /**
     * The Discount
     * Meta informations extracted from the WSDL
     * - use: required
     * @var float
     */
    public $Discount;
    /**
     * Constructor method for BookingFeeType
     * @uses DgBookingFeeType::setDiscount()
     * @param float $discount
     */
    public function __construct($discount = null)
    {
        $this
            ->setDiscount($discount);
    }
    /**
     * Get Discount value
     * @return float
     */
    public function getDiscount()
    {
        return $this->Discount;
    }
    /**
     * Set Discount value
     * @param float $discount
     * @return \dgsoft\StructType\DgBookingFeeType
     */
    public function setDiscount($discount = null)
    {
        $this->Discount = $discount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgBookingFeeType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
